if (TARGET Fcitx5::Module::LuaAddonLoader AND TARGET luaaddonloader-interface)
    return()
endif()

add_library(luaaddonloader-interface INTERFACE)
add_library(Fcitx5::Module::LuaAddonLoader ALIAS luaaddonloader-interface)
set_target_properties(luaaddonloader-interface PROPERTIES INTERFACE_INCLUDE_DIRECTORIES "/usr/local/include/Fcitx5/Module/fcitx-module/luaaddonloader")
